This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 249831 - Review Request: gromacs - Molecular dynamics package
Review Request: gromacs - Molecular dynamics package
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sergio Pascual
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2007-07-27 07:47 EDT by Dominik 'Rathann' Mierzejewski
Modified: 2008-01-28 16:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-23 13:30:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2007-07-27 07:47:00 EDT
Spec URL: http://rpm.greysector.net/extras/gromacs.spec
SRPM URL: http://rpm.greysector.net/extras/gromacs-3.3.1-2.src.rpm
Description:
GROMACS is a versatile and extremely well optimized package to perform molecular dynamics computer simulations and subsequent trajectory analysis. It is developed for biomolecules like proteins, but the extremely high performance means it is used also in several other field like polymer chemistry and solid state physics.
Comment 1 Sergio Pascual 2007-09-08 15:14:56 EDT
Let's roll...

MUST items:

* rpmlint must be run on every package FAILL

$ rpmlint gromacs-3.3.1-2.fc7.src.rpm
W: gromacs invalid-license GPL

$ rpmlint gromacs-3.3.1-2.fc7.x86_64.rpm 
E: gromacs script-without-shebang /usr/bin/GMXRC.csh
E: gromacs script-without-shebang /usr/bin/GMXRC.bash
E: gromacs script-without-shebang /usr/bin/GMXRC
E: gromacs script-without-shebang /usr/bin/completion.bash
E: gromacs script-without-shebang /usr/bin/completion.csh
E: gromacs script-without-shebang /usr/bin/GMXRC.zsh
E: gromacs script-without-shebang /usr/bin/completion.zsh
W: gromacs invalid-license GPL

$ rpmlint gromacs-debuginfo-3.3.1-2.fc7.x86_64.rpm
W: gromacs-debuginfo invalid-license GPL

$ rpmlint gromacs-devel-3.3.1-2.fc7.x86_64.rpm 
W: gromacs-devel no-documentation
W: gromacs-devel invalid-license GPL

$ rpmlint gromacs-mpi-3.3.1-2.fc7.x86_64.rpm 
W: gromacs-mpi no-documentation
W: gromacs-mpi invalid-license GPL

$ rpmlint gromacs-mpi-devel-3.3.1-2.fc7.x86_64.rpm 
W: gromacs-mpi-devel no-documentation
W: gromacs-mpi-devel invalid-license GPL
E: gromacs-mpi-devel no-ldconfig-symlink /usr/lib64/libgmxana_mpi.so
E: gromacs-mpi-devel no-ldconfig-symlink /usr/lib64/libmd_mpi.so
E: gromacs-mpi-devel no-ldconfig-symlink /usr/lib64/libgmx_mpi.so

There are several problems here. First, GPL is no a valid tag anymore, please
read http://fedoraproject.org/wiki/Packaging/LicensingGuidelines to find your
appropriated license tag.

Files like /usr/bin/GMXRC.csh seems to me initialization scripts. A better place
for them is perhaps /etc/profile.d 
completion.* is too generic. Could you rename to something like
gromacs-completion.* or something like that?

And /usr/lib64/libmd_mpi.so and the others are binary files instead of symlinks.
Try using cp -a instead of cp -p

* The package must be named according to the Package Naming Guidelines. OK
* The spec file name must match the base package %{name}... OK
* The package must meet the Packaging Guidelines OK
* The package must be licensed with a Fedora approved license... FAIL (See above)

* The License field in the package spec file must match the actual license. SKIPPED
First fix previous point

* Include license if the license text is included OK
* The spec file must be written in American English OK

* The spec file for the package MUST be legible FAIL
Please add some comments on the specfile detailing the compilation with/without
MPI enabled. In the description of the mpi packages it would be polite to
explain the acronym to those who might come across the package. Something like
"Build of the GROMACS package with MPI (Message Passing Interface) enabled".

* The sources used to build the package must match the upstream source FAIL
The url of the source doesn't exit, please fix the SOURCE tag in the specfile

* The package must successfully compile and build into binary rpms OK
* All build dependencies must be listed in BuildRequires OK
* The spec file must handle locales properly. OK (no locales)
* Package with shared library files must call ldconfig in %post and %postun OK
* If the package is designed to be relocatable... OK (not relocatable)
* A package must own all directories that it creates OK
* A package must not contain any duplicate files in the %files listing. OK
* Permissions on files must be set properly. OK
* Each package must have a %clean section OK
* Each package must consistently use macros OK
* The package must contain code, or permissible content OK
* Large documentation files should go in a -doc subpackage. OK
The html files are only 1.9 M

* Files in %doc do not affect the runtime of the application. OK
The bulk of your docs is in /usr/share/gromacs/html. Is there any reason
to put the files here and not in /usr/share/doc (marking the files in html as
%doc)? 

* Header files in -devel OK
* Static libraries must be in a -static OK 
(no static libs)
* Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' OK 
(no pkconfig)
* Library files that end in .so (if a link to sufixed lib) must go in a -devel
package. OK
* Devel packages must require the base package using a fully versioned dependency OK
* Packages must NOT contain any .la libtool archives OK
* Packages containing GUI applications must include a %{name}.desktop file FAIL
Your package contains GUI applications (e.g highway). If you feel that your
packaged GUI application does not need a .desktop file, you must put a comment
in the spec file with your explanation. Either way, see
http://fedoraproject.org/wiki/Packaging/Guidelines#desktop
* Packages must not own files or directories already owned by other packages OK
* At the beginning of %install, each package MUST run rm -rf %{buildroot} OK
* All filenames in rpm packages must be valid UTF-8. OK

SHOULD Items:
* If License text not included query upstream to include it OK
* Summary and description translated for supported Non-English languages NO
* The package builds in mock OK
* The package should build for supported archs Builds at least for x86_64
* The reviewer should test that the package functions: Seems to work, I'm not an
expert...
* If scriptlets are used, those scriptlets must be sane OK
Comment 2 Dominik 'Rathann' Mierzejewski 2007-10-31 09:51:06 EDT
I'm planning to rewrite the specfile to build both MPI and regular versions are
outlined in GROMACS packaging tips. Please be patient.
Comment 3 Sergio Pascual 2007-12-14 19:43:31 EST
Are you going to submit an updated package? If not, I would like to close the
bug as indicated by the stalled reviews policy 
http://fedoraproject.org/wiki/PackageMaintainers/Policy/StalledReviews

Note You need to log in before you can comment on or make changes to this bug.